Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions
verify Interface Reference

## Public Member Functions
subroutine | verify_c_bool (string, value, correct_value, total_error, chck_eq)
subroutine | verify_character (string, value, correct_value, total_error, chck_eq)
subroutine | verify_integer_kind_1 (string, value, correct_value, total_error, chck_eq)
subroutine | verify_integer_kind_16 (string, value, correct_value, total_error, chck_eq)
subroutine | verify_integer_kind_2 (string, value, correct_value, total_error, chck_eq)
subroutine | verify_integer_kind_4 (string, value, correct_value, total_error, chck_eq)
subroutine | verify_integer_kind_8 (string, value, correct_value, total_error, chck_eq)
subroutine | verify_logical (string, value, correct_value, total_error, chck_eq)
subroutine | verify_real_kind_10 (string, value, correct_value, total_error, chck_eq)
subroutine | verify_real_kind_16 (string, value, correct_value, total_error, chck_eq)
subroutine | verify_real_kind_4 (string, value, correct_value, total_error, chck_eq)
subroutine | verify_real_kind_8 (string, value, correct_value, total_error, chck_eq)

## Member Function/Subroutine Documentation

## ◆ verify_c_bool()

subroutine verify_c_bool | ( | character(len=*) | string,
|  | logical(c_bool) | value,
|  | logical(c_bool) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_character()

subroutine verify_character | ( | character*(*) | string,
|  | character*(*) | value,
|  | character*(*) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_integer_kind_1()

subroutine verify_integer_kind_1 | ( | character(len=*) | string,
|  | integer(kind=1) | value,
|  | integer(kind=1) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_integer_kind_16()

subroutine verify_integer_kind_16 | ( | character(len=*) | string,
|  | integer(kind=16) | value,
|  | integer(kind=16) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_integer_kind_2()

subroutine verify_integer_kind_2 | ( | character(len=*) | string,
|  | integer(kind=2) | value,
|  | integer(kind=2) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_integer_kind_4()

subroutine verify_integer_kind_4 | ( | character(len=*) | string,
|  | integer(kind=4) | value,
|  | integer(kind=4) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_integer_kind_8()

subroutine verify_integer_kind_8 | ( | character(len=*) | string,
|  | integer(kind=8) | value,
|  | integer(kind=8) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_logical()

subroutine verify_logical | ( | character(len=*) | string,
|  | logical | value,
|  | logical | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_real_kind_10()

subroutine verify_real_kind_10 | ( | character(len=*) | string,
|  | real(kind=10) | value,
|  | real(kind=10) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_real_kind_16()

subroutine verify_real_kind_16 | ( | character(len=*) | string,
|  | real(kind=16) | value,
|  | real(kind=16) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_real_kind_4()

subroutine verify_real_kind_4 | ( | character(len=*) | string,
|  | real(kind=4) | value,
|  | real(kind=4) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

## ◆ verify_real_kind_8()

subroutine verify_real_kind_8 | ( | character(len=*) | string,
|  | real(kind=8) | value,
|  | real(kind=8) | correct_value,
|  | integer | total_error,
|  | logical, optional | chck_eq )

The documentation for this interface was generated from the following file:

- config/toolchain/fortpregen/gfortran/tf_gen.F90